package com.mvc.entity;

import java.util.Date;

public class TaskBatchRemoteDetail {
    private Integer id;

    private String taskBatchId;

    private String deviceSn;

    private String stationCode;

    private String stationName;

    private String finishedFlag;

    private Date finishedTime;

    private String taskRemoteCfgId;

    private String taskDownId;

    private String aicqbCfgId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTaskBatchId() {
        return taskBatchId;
    }

    public void setTaskBatchId(String taskBatchId) {
        this.taskBatchId = taskBatchId == null ? null : taskBatchId.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName == null ? null : stationName.trim();
    }

    public String getFinishedFlag() {
        return finishedFlag;
    }

    public void setFinishedFlag(String finishedFlag) {
        this.finishedFlag = finishedFlag == null ? null : finishedFlag.trim();
    }

    public Date getFinishedTime() {
        return finishedTime;
    }

    public void setFinishedTime(Date finishedTime) {
        this.finishedTime = finishedTime;
    }

    public String getTaskRemoteCfgId() {
        return taskRemoteCfgId;
    }

    public void setTaskRemoteCfgId(String taskRemoteCfgId) {
        this.taskRemoteCfgId = taskRemoteCfgId == null ? null : taskRemoteCfgId.trim();
    }

    public String getTaskDownId() {
        return taskDownId;
    }

    public void setTaskDownId(String taskDownId) {
        this.taskDownId = taskDownId == null ? null : taskDownId.trim();
    }

    public String getAicqbCfgId() {
        return aicqbCfgId;
    }

    public void setAicqbCfgId(String aicqbCfgId) {
        this.aicqbCfgId = aicqbCfgId == null ? null : aicqbCfgId.trim();
    }
}